# azure.mgmt.loganalytics.operations module

class `azure.mgmt.loganalytics.operations.``StorageInsightsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  StorageInsightsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-03-20”.

  `create_or_update`(resource_group_name, workspace_name, storage_insight_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update a storage insight.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics Workspace name that will contain the storageInsightsConfigs resource
    - storage_insight_name (str) – Name of the storageInsightsConfigs resource
    - parameters (StorageInsight) – The parameters required to create or update a storage insight.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | StorageInsight or ClientRawResponse if raw=true
    Return type: | StorageInsight or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, workspace_name, storage_insight_name, custom_headers=None, raw=False, **operation_config)

    Deletes a storageInsightsConfigs resource.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics Workspace name that contains the storageInsightsConfigs resource
    - storage_insight_name (str) – Name of the storageInsightsConfigs resource
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, workspace_name, storage_insight_name, custom_headers=None, raw=False, **operation_config)

    Gets a storage insight instance.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics Workspace name that contains the storageInsightsConfigs resource
    - storage_insight_name (str) – Name of the storageInsightsConfigs resource
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | StorageInsight or ClientRawResponse if raw=true
    Return type: | StorageInsight or ClientRawResponse
    Raises: | `CloudError`

  `list_by_workspace`(resource_group_name, workspace_name, custom_headers=None, raw=False, **operation_config)

    Lists the storage insight instances within a workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics Workspace name that will contain the storageInsightsConfigs resource
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of StorageInsight
    Return type: | StorageInsightPaged[StorageInsight]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.loganalytics.models' from '/usr/lib/python3/dist-packages/azure/mgmt/loganalytics/models/__init__.py'>

class `azure.mgmt.loganalytics.operations.``WorkspacesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkspacesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  `create_or_update`(resource_group_name, workspace_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a workspace.

    Parameters:

    - resource_group_name (str) – The resource group name of the workspace.
    - workspace_name (str) – The name of the workspace.
    - parameters (Workspace) – The parameters required to create or update a workspace.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Workspace or ClientRawResponse<Workspace> if raw==True
    Return type: | AzureOperationPoller[Workspace] or AzureOperationPoller[ClientRawResponse[Workspace]]
    Raises: | `CloudError`

  `delete`(resource_group_name, workspace_name, custom_headers=None, raw=False, **operation_config)

    Deletes a workspace instance.

    Parameters:

    - resource_group_name (str) – The resource group name of the workspace.
    - workspace_name (str) – Name of the Log Analytics Workspace.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `disable_intelligence_pack`(resource_group_name, workspace_name, intelligence_pack_name, custom_headers=None, raw=False, **operation_config)

    Disables an intelligence pack for a given workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace.
    - intelligence_pack_name (str) – The name of the intelligence pack to be disabled.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `enable_intelligence_pack`(resource_group_name, workspace_name, intelligence_pack_name, custom_headers=None, raw=False, **operation_config)

    Enables an intelligence pack for a given workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace.
    - intelligence_pack_name (str) – The name of the intelligence pack to be enabled.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, workspace_name, custom_headers=None, raw=False, **operation_config)

    Gets a workspace instance.

    Parameters:

    - resource_group_name (str) – The resource group name of the workspace.
    - workspace_name (str) – Name of the Log Analytics Workspace.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Workspace or ClientRawResponse if raw=true
    Return type: | Workspace or ClientRawResponse
    Raises: | `CloudError`

  `get_schema`(resource_group_name, workspace_name, custom_headers=None, raw=False, **operation_config)

    Gets the schema for a given workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics workspace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SearchGetSchemaResponse or ClientRawResponse if raw=true
    Return type: | SearchGetSchemaResponse or ClientRawResponse
    Raises: | `CloudError`

  `get_search_results`(resource_group_name, workspace_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Submit a search for a given workspace. The response will contain an id to track the search. User can use the id to poll the search status and get the full search result later if the search takes long time to finish. .

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics workspace name
    - parameters (SearchParameters) – The parameters required to execute a search query.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns SearchResultsResponse or ClientRawResponse<SearchResultsResponse> if raw==True
    Return type: | AzureOperationPoller[SearchResultsResponse] or AzureOperationPoller[ClientRawResponse[SearchResultsResponse]]
    Raises: | `CloudError`

  `get_shared_keys`(resource_group_name, workspace_name, custom_headers=None, raw=False, **operation_config)

    Gets the shared keys for a workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SharedKeys or ClientRawResponse if raw=true
    Return type: | SharedKeys or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets the workspaces in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Workspace
    Return type: | WorkspacePaged[Workspace]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets workspaces in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Workspace
    Return type: | WorkspacePaged[Workspace]
    Raises: | `CloudError`

  `list_intelligence_packs`(resource_group_name, workspace_name, custom_headers=None, raw=False, **operation_config)

    Lists all the intelligence packs possible and whether they are enabled or disabled for a given workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | list or ClientRawResponse if raw=true
    Return type: | list[IntelligencePack] or ClientRawResponse
    Raises: | `CloudError`

  `list_link_targets`(custom_headers=None, raw=False, **operation_config)

    Get a list of workspaces which the current user has administrator privileges and are not associated with an Azure Subscription. The subscriptionId parameter in the Url is ignored.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | list or ClientRawResponse if raw=true
    Return type: | list[LinkTarget] or ClientRawResponse
    Raises: | `CloudError`

  `list_management_groups`(resource_group_name, workspace_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of management groups connected to a workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – The name of the workspace.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ManagementGroup
    Return type: | ManagementGroupPaged[ManagementGroup]
    Raises: | `CloudError`

  `list_usages`(resource_group_name, workspace_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of usage metrics for a workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – The name of the workspace.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of UsageMetric
    Return type: | UsageMetricPaged[UsageMetric]
    Raises: | `CloudError`

  `purge`(resource_group_name, workspace_name, table, filters, custom_headers=None, raw=False, polling=True, **operation_config)

    Purges data in an Log Analytics workspace by a set of user-defined filters.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics workspace name
    - table (str) – Table from which to purge data.
    - filters (list[WorkspacePurgeBodyFilters]) – The set of columns and filters (queries) to run over them to purge the resulting data.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns object or ClientRawResponse<object> if raw==True
    Return type: | AzureOperationPoller[object] or AzureOperationPoller[ClientRawResponse[object]]
    Raises: | `CloudError`

  `update`(resource_group_name, workspace_name, parameters, custom_headers=None, raw=False, **operation_config)

    Updates a workspace.

    Parameters:

    - resource_group_name (str) – The resource group name of the workspace.
    - workspace_name (str) – The name of the workspace.
    - parameters (Workspace) – The parameters required to patch a workspace.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Workspace or ClientRawResponse if raw=true
    Return type: | Workspace or ClientRawResponse
    Raises: | `CloudError`

  `update_search_results`(resource_group_name, workspace_name, id, custom_headers=None, raw=False, **operation_config)

    Gets updated search results for a given search query.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics workspace name
    - id (str) – The id of the search that will have results updated. You can get the id from the response of the GetResults call.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SearchResultsResponse or ClientRawResponse if raw=true
    Return type: | SearchResultsResponse or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.loganalytics.models' from '/usr/lib/python3/dist-packages/azure/mgmt/loganalytics/models/__init__.py'>

class `azure.mgmt.loganalytics.operations.``SavedSearchesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SavedSearchesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-03-20”.

  `create_or_update`(resource_group_name, workspace_name, saved_search_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates or updates a saved search for a given workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics workspace name
    - saved_search_name (str) – The id of the saved search.
    - parameters (SavedSearch) – The parameters required to save a search.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SavedSearch or ClientRawResponse if raw=true
    Return type: | SavedSearch or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, workspace_name, saved_search_name, custom_headers=None, raw=False, **operation_config)

    Deletes the specified saved search in a given workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics workspace name
    - saved_search_name (str) – Name of the saved search.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, workspace_name, saved_search_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified saved search for a given workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics workspace name
    - saved_search_name (str) – The id of the saved search.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SavedSearch or ClientRawResponse if raw=true
    Return type: | SavedSearch or ClientRawResponse
    Raises: | `CloudError`

  `get_results`(resource_group_name, workspace_name, saved_search_name, custom_headers=None, raw=False, **operation_config)

    Gets the results from a saved search for a given workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics workspace name
    - saved_search_name (str) – The name of the saved search.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SearchResultsResponse or ClientRawResponse if raw=true
    Return type: | SearchResultsResponse or ClientRawResponse
    Raises: | `CloudError`

  `list_by_workspace`(resource_group_name, workspace_name, custom_headers=None, raw=False, **operation_config)

    Gets the saved searches for a given Log Analytics Workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Log Analytics workspace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SavedSearchesListResult or ClientRawResponse if raw=true
    Return type: | SavedSearchesListResult or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.loganalytics.models' from '/usr/lib/python3/dist-packages/azure/mgmt/loganalytics/models/__init__.py'>

class `azure.mgmt.loganalytics.operations.``LinkedServicesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LinkedServicesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-11-01-preview”.

  `create_or_update`(resource_group_name, workspace_name, linked_service_name, resource_id, tags=None, custom_headers=None, raw=False, **operation_config)

    Create or update a linked service.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace that will contain the linkedServices resource
    - linked_service_name (str) – Name of the linkedServices resource
    - resource_id (str) – The resource id of the resource that will be linked to the workspace.
    - tags (dict[str, str]) – Resource tags
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | LinkedService or ClientRawResponse if raw=true
    Return type: | LinkedService or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, workspace_name, linked_service_name, custom_headers=None, raw=False, **operation_config)

    Deletes a linked service instance.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace that contains the linkedServices resource
    - linked_service_name (str) – Name of the linked service.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, workspace_name, linked_service_name, custom_headers=None, raw=False, **operation_config)

    Gets a linked service instance.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace that contains the linkedServices resource
    - linked_service_name (str) – Name of the linked service.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | LinkedService or ClientRawResponse if raw=true
    Return type: | LinkedService or ClientRawResponse
    Raises: | `CloudError`

  `list_by_workspace`(resource_group_name, workspace_name, custom_headers=None, raw=False, **operation_config)

    Gets the linked services instances in a workspace.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace that contains the linked services.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of LinkedService
    Return type: | LinkedServicePaged[LinkedService]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.loganalytics.models' from '/usr/lib/python3/dist-packages/azure/mgmt/loganalytics/models/__init__.py'>

class `azure.mgmt.loganalytics.operations.``DataSourcesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DataSourcesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-11-01-preview”.

  `create_or_update`(resource_group_name, workspace_name, data_source_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update a data source.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace that will contain the datasource
    - data_source_name (str) – The name of the datasource resource.
    - parameters (DataSource) – The parameters required to create or update a datasource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DataSource or ClientRawResponse if raw=true
    Return type: | DataSource or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, workspace_name, data_source_name, custom_headers=None, raw=False, **operation_config)

    Deletes a data source instance.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace that contains the datasource.
    - data_source_name (str) – Name of the datasource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, workspace_name, data_source_name, custom_headers=None, raw=False, **operation_config)

    Gets a datasource instance.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – Name of the Log Analytics Workspace that contains the datasource.
    - data_source_name (str) – Name of the datasource
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DataSource or ClientRawResponse if raw=true
    Return type: | DataSource or ClientRawResponse
    Raises: | `CloudError`

  `list_by_workspace`(resource_group_name, workspace_name, filter, skiptoken=None, custom_headers=None, raw=False, **operation_config)

    Gets the first page of data source instances in a workspace with the link to the next page.

    Parameters:

    - resource_group_name (str) – The name of the resource group to get. The name is case insensitive.
    - workspace_name (str) – The workspace that contains the data sources.
    - filter (str) – The filter to apply on the operation.
    - skiptoken (str) – Starting point of the collection of data source instances.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DataSource
    Return type: | DataSourcePaged[DataSource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.loganalytics.models' from '/usr/lib/python3/dist-packages/azure/mgmt/loganalytics/models/__init__.py'>

class `azure.mgmt.loganalytics.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-11-01-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available OperationalInsights Rest API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.loganalytics.models' from '/usr/lib/python3/dist-packages/azure/mgmt/loganalytics/models/__init__.py'>